#if !defined(__akfdilg2_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __akfdilg2_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        akfdilg2.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer AKFDialog2 (TDialog).
*/

#include <owl\checkbox.h>
#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\dialog.h>

#include "pnapp.rh"            // Definition aller Ressourcen


//{{TDialog = AKFDialog2}}
struct AKFDialog2Xfer {
//{{AKFDialog2XFER_DATA}}
    BOOL    schalter1;
//{{AKFDialog2XFER_DATA_END}}
};


class AKFDialog2 : public TDialog {
public:
    AKFDialog2 (TWindow* parent, TResId resId = ID_AKFDIALOG2, TModule* module = 0);
    virtual ~AKFDialog2 ();
    AKFDialog2Xfer AKFDialog2Data;

//{{AKFDialog2XFER_DEF}}
protected:
    TCheckBox *schalter1;
      
//{{AKFDialog2XFER_DEF_END}}
};    //{{AKFDialog2}}


#endif                                      // __akfdilg2_h

