/*  Projekt CDMA
Copyright  1995
 
    SYSTEM:       CDMA.EXE  (Application)
    DATEI:        mlttlndl.cpp
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Quelltextdatei fuer die Implementation von MultiTeilnDialog (TDialog).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "mlttlndl.h"


//
// Antworttabelle fuer alle von der Anwendung behandelten Botschaften &
// Befehle erzeugen
//
DEFINE_RESPONSE_TABLE1(MultiTeilnDialog, TDialog)
//{{MultiTeilnDialogRSP_TBL_BEGIN}}
    EV_BN_CLICKED(IDC_CHECKPAR1, checkpar1BNClicked),
    EV_BN_CLICKED(IDC_CHECKPAR2, checkpar2BNClicked),
//{{MultiTeilnDialogRSP_TBL_END}}
END_RESPONSE_TABLE;


//{{MultiTeilnDialog Implementation}}


static MultiTeilnDialogXfer MultiTeilnDialogData;

MultiTeilnDialog::MultiTeilnDialog (TWindow* parent, TResId resId, TModule* module):
    TDialog(parent, resId, module)
{
//{{MultiTeilnDialogXFER_USE}}
    checkpar1 = new TCheckBox(this, IDC_CHECKPAR1, 0);
    checkpar2 = new TCheckBox(this, IDC_CHECKPAR2, 0);
    editmultianf = new TEdit(this, IDC_EDITMULTIANF, 255);
    editmultiend = new TEdit(this, IDC_EDITMULTIEND, 255);

    SetTransferBuffer(&MultiTeilnDialogData);
//{{MultiTeilnDialogXFER_USE_END}}

    // EINFUEGEN>> Ihren Konstruktor-Code fuegen Sie hier ein

}


MultiTeilnDialog::~MultiTeilnDialog ()
{
	 Destroy();

	 // EINFUEGEN>> Ihren Destruktor-Code fuegen Sie hier ein

}


BOOL MultiTeilnDialog::CanClose ()
{
	 BOOL result;

	 result = TDialog::CanClose();

	 char s[255];

	 editmultianf->Transfer(s,tdGetData);
	 multianf = atoi(s);

	 editmultiend->Transfer(s,tdGetData);
	 multiend = atoi(s);

	 if (parsatz == 1) walshmax = walshmax1; else walshmax = walshmax2;

	 if (multianf < 0) multianf = 0;
	 if (multianf > walshmax) multianf = walshmax;

	 if (multiend < 0) multiend = 0;
	 if (multiend > walshmax) multiend = walshmax;

	 if (multianf > multiend) {
										 int i=multianf;
										 multianf=multiend;
										 multiend=i;
									  }


	 return result;
}


void MultiTeilnDialog::SetupWindow ()
{
	 TDialog::SetupWindow();
	 char s[255];

	 strcpy(s,"1");
	 editmultianf->Transfer(s,tdSetData);

	 strcpy(s,"8");
	 editmultiend->Transfer(s,tdSetData);

	 if (parmoeglich == 2)
			 { checkpar2->Check();  parsatz = 2; }
		 else
			 { checkpar1->Check();  parsatz = 1; }

}


void MultiTeilnDialog::checkpar1BNClicked ()
{
	if (parmoeglich == 1) { checkpar1->Check();
									checkpar2->Uncheck();
									parsatz = 1;
									return;
								 }

	if (parmoeglich == 2) { checkpar2->Check();
									checkpar1->Uncheck();
									parsatz = 2;
									return;
								 }


	if (parmoeglich == 3) { if (checkpar1->GetCheck() == BF_CHECKED)
										 {
											 checkpar2->Uncheck();
											 parsatz = 1;
										 }
									  else
										 {
											 checkpar1->Uncheck();
											 checkpar2->Check();
											 parsatz = 2;
										 }
								 }
}


void MultiTeilnDialog::checkpar2BNClicked ()
{
	if (parmoeglich == 1) { checkpar1->Check();
									checkpar2->Uncheck();
									parsatz = 1;
									return;
								 }

	if (parmoeglich == 2) { checkpar2->Check();
									checkpar1->Uncheck();
									parsatz = 2;
									return;
								 }


	if (parmoeglich == 3) { if (checkpar2->GetCheck() == BF_CHECKED)
										 {
											 checkpar1->Uncheck();
											 parsatz = 2;
										 }
									  else
										 {
											 checkpar2->Uncheck();
											 checkpar1->Check();
											 parsatz = 1;
										 }
								 }

}

