/*  Projekt CDMA
	 Copyright  1995
 
	 SYSTEM:       CDMA.EXE  (Application)
	 DATEI:        sigdia1.cpp
	 AUTOR:        Wolfgang Knallinger


	 UEBERBLICK
	 ==========
	 Quelltextdatei fuer die Implementation von Sigdia1 (TDialog).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "sigdia1.h"


//
// Antworttabelle fuer alle von der Anwendung behandelten Botschaften &
// Befehle erzeugen
//
DEFINE_RESPONSE_TABLE1(Sigdia1, TDialog)
//{{Sigdia1RSP_TBL_BEGIN}}
	 EV_BN_CLICKED(IDC_B, SIG_B_BNClicked),
    EV_BN_CLICKED(IDC_D, SIG_D_BNClicked),
	 EV_BN_CLICKED(IDC_E, SIG_E_BNClicked),
    EV_BN_CLICKED(IDC_N, SIG_N_BNClicked),
    EV_BN_CLICKED(IDC_Q, SIG_Q_BNClicked),
    EV_BN_CLICKED(IDC_R, SIG_R_BNClicked),
	 EV_BN_CLICKED(IDC_S, SIG_S_BNClicked),
    EV_BN_CLICKED(IDC_V, SIG_V_BNClicked),
    EV_BN_CLICKED(IDC_X1, SIG_X1_BNClicked),
    EV_BN_CLICKED(IDC_XTKR, SIG_XTKR_BNClicked),
    EV_BN_CLICKED(IDC_E1, SIG_E1_BNClicked),
    EV_BN_CLICKED(IDC_E2, SIG_E2_BNClicked),
	 EV_BN_CLICKED(IDC_X2, X2_BNClicked),
    EV_BN_CLICKED(IDC_CHECKPAR1, checkpar1BNClicked),
    EV_BN_CLICKED(IDC_CHECKPAR2, checkpar2BNClicked),
//{{Sigdia1RSP_TBL_END}}
END_RESPONSE_TABLE;


//{{Sigdia1 Implementation}}


static Sigdia1Xfer Sigdia1Data;

Sigdia1::Sigdia1 (TWindow* parent, TResId resId, TModule* module):
	 TDialog(parent, resId, module)
{
//{{Sigdia1XFER_USE}}
    checkpar1 = new TCheckBox(this, IDC_CHECKPAR1, 0);
	 checkpar2 = new TCheckBox(this, IDC_CHECKPAR2, 0);

	 SetTransferBuffer(&Sigdia1Data);
//{{Sigdia1XFER_USE_END}}


}


Sigdia1::~Sigdia1 ()
{
	 Destroy();


}


void Sigdia1::PIXELENChange ()
{

}




void Sigdia1::SIG_B_BNClicked ()
{
	signal = SIG_B;

	CloseWindow(IDOK);
}


void Sigdia1::SIG_D_BNClicked ()
{
	signal = SIG_D;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_E_BNClicked ()
{
	signal = SIG_E;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_N_BNClicked ()
{
	signal = SIG_N;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_Q_BNClicked ()
{
	signal = SIG_Q;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_R_BNClicked ()
{
	signal = SIG_R;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_S_BNClicked ()
{
	signal = SIG_S;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_V_BNClicked ()
{
	signal = SIG_V;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_X1_BNClicked ()
{
	signal = SIG_X1;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_XTKR_BNClicked ()
{
	signal = SIG_XTKR;

	CloseWindow(IDOK);

}


BOOL Sigdia1::CanClose ()
{
	 BOOL result;

	 result = TDialog::CanClose();


	 return result;
}


void Sigdia1::SetupWindow ()
{
	 TDialog::SetupWindow();

    if (Parametersatz == 1) {
                               checkpar1->Check();
                               checkpar2->Uncheck();
                            }
                        else
                            {  checkpar2->Check();
                               checkpar1->Uncheck();
                            }

}




void Sigdia1::SIG_E1_BNClicked ()
{
	signal = SIG_E1;

	CloseWindow(IDOK);

}


void Sigdia1::SIG_E2_BNClicked ()
{
	signal = SIG_E2;

	CloseWindow(IDOK);

}


void Sigdia1::X2_BNClicked ()
{
	signal = SIG_X2;

	CloseWindow(IDOK);

}


void Sigdia1::checkpar1BNClicked ()
{
	if (Parametersatz == 1)
									 {
										 checkpar1->Uncheck();
										 checkpar2->Check();
										 Parametersatz = 2;
									 }

	else
	if (Parametersatz == 2)
									 {
										 checkpar1->Check();
										 checkpar2->Uncheck();
										 Parametersatz = 1;
									 }

}


void Sigdia1::checkpar2BNClicked ()
{
	if (Parametersatz == 1)
									 {
										 checkpar1->Uncheck();
										 checkpar2->Check();
										 Parametersatz = 2;
									 }
	else
	if (Parametersatz == 2)
									 {
										 checkpar1->Check();
										 checkpar2->Uncheck();
										 Parametersatz = 1;
									 }

}

