#if !defined(__sigwin_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __sigwin_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        sigwin.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer SigWin (TWindow).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\window.h>

#include "pnapp.rh"            // Definition aller Ressourcen

#include "staticgr.h"
#include "parmtrwn.h"
#include "sigdia1.h"
#include "sgnlhptd.h"


//{{TWindow = SigWin}}
class SigWin : public TWindow {
public:
    SigWin (TWindow* parent, const char far* title = 0, TModule* module = 0);
    virtual ~SigWin ();
     
    ParameterDialog* par1;
    ParameterDialog* par2;
    ParameterDialog* par;
	 TBitmap* bit1;
    float wert1[1500];
    Sigdia1* sig;
    SignalHauptDialog* sigdia;
    int Parametersatz;
    int signal;
    int setupzaehler;
    int fensterzaehler;
    int look[505];
    int pixel;
    char sst[255];
    TRect rcc;    
//{{SigWinVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
    virtual UINT Transfer (void* buffer, TTransferDirection direction);
//{{SigWinVIRTUAL_END}}
private:
	 Staticgrau *St_Parameter1;
    TBitmap     *bitmap;
    BOOL bitexist;
    char title[255];
//{{SigWinRSP_TBL_BEGIN}}
protected:
    void EvLButtonDown (UINT modKeys, TPoint& point);
    void EvHScroll (UINT scrollCode, UINT thumbPos, HWND hWndCtl);
    void EvSize (UINT sizeType, TSize& size);
    void Fenster ();
    void EvLButtonDblClk (UINT modKeys, TPoint& point);
    void EvMouseMove (UINT modKeys, TPoint& point);
    void ParamUpdate ();
    void Titelsetzen();
    void EvRButtonDown (UINT modKeys, TPoint& point);
//{{SigWinRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(SigWin);
};    //{{SigWin}}


#endif                                      // __sigwin_h

