#if !defined(__wdfwin_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __wdfwin_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        sigwin.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer WDFWin (TWindow).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\window.h>

#include "pnapp.rh"            // Definition aller Ressourcen
#include "sgnlhptd.h"
#include "staticgr.h"
#include "parmtrwn.h"
#include "sigdia1.h"
#include "wdfdial1.h"


//#include "wdfdial1.h"

//{{TWindow = WDFWin}}
class WDFWin : public TWindow {
public:
    WDFWin (TWindow* parent, const char far* title = 0, TModule* module = 0);
    virtual ~WDFWin ();
               
    ParameterDialog* par1;
    ParameterDialog* par2;
    ParameterDialog* par;
    int Initialisierung;
    WDFDialog* wdfdia;
	 TBitmap* bit1;
    int memwidth;
    float wert1[1500];
    Sigdia1* sig;
	 SignalHauptDialog* sigdia;
    int Parametersatz;
    int signal;
    int setupzaehler;
    int fensterzaehler;
    int look[505];
    int pixel;
    char sst[255];
    TRect rcc;
//{{WDFWinVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
    virtual UINT Transfer (void* buffer, TTransferDirection direction);
//{{WDFWinVIRTUAL_END}}
private:
	 Staticgrau *St_Parameter1;
    TBitmap     *bitmap;
    BOOL bitexist;
    char title[255];
//{{WDFWinRSP_TBL_BEGIN}}
protected:
    void EvLButtonDown (UINT modKeys, TPoint& point);
    void EvHScroll (UINT scrollCode, UINT thumbPos, HWND hWndCtl);
    void EvSize (UINT sizeType, TSize& size);
    void Fenster ();
    void EvLButtonDblClk (UINT modKeys, TPoint& point);
    void EvMouseMove (UINT modKeys, TPoint& point);
    void ParamUpdate ();
    void Titelsetzen();
//{{WDFWinRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(WDFWin);
};    //{{WDFWin}}


#endif                                      // __wdfwin_h

