#if !defined(__akfchild_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __akfchild_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        akfchild.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer AKFChild (TMDIChild).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\listbox.h>
//#include <owl\mdichild.h>
//#include "sigwin.h"

#include "pnapp.rh"            // Definition aller Ressourcen


//{{TMDIChild = AKFChild}}
class AKFChild : public TMDIChild {
public:
    AKFChild (TMDIClient &parent, const char far *title, TWindow *clientWnd, BOOL shrinkToClient = FALSE, TModule* module = 0);
    virtual ~AKFChild ();

//{{AKFChildVIRTUAL_BEGIN}}
public:
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
//{{AKFChildVIRTUAL_END}}
//{{AKFChildRSP_TBL_BEGIN}}
protected:
    void EvGetMinMaxInfo (MINMAXINFO far& minmaxinfo);
    void EvMouseMove (UINT modKeys, TPoint& point);
//{{AKFChildRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(AKFChild);
};    //{{AKFChild}}


#endif                                      // __akfchild_h
 
