#if !defined(__fehlerwn_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __fehlerwn_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        sigwin.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer FehlerWin (TWindow).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\window.h>

#include "pnapp.rh"            // Definition aller Ressourcen
#include "sgnlhptd.h"
#include "staticgr.h"
#include "parmtrwn.h"
#include "sigdia1.h"
#include "wdfdial1.h"
#include "fehlrdlg.h"


//#include "wdfdial1.h"

//{{TWindow = FehlerWin}}
class FehlerWin : public TWindow {
public:
    FehlerWin (TWindow* parent, const char far* title = 0, TModule* module = 0);
    virtual ~FehlerWin ();
               
    ParameterDialog* par1;
    ParameterDialog* par2;
    ParameterDialog* par;
    WDFDialog* wdfdia;
    FehlerDialog* fehlerdia;
	 TBitmap* bit1;
    int memwidth;
    int Initialisierung;
    float wert1[1500];
    Sigdia1* sig;
	 SignalHauptDialog* sigdia;
    int Parametersatz;
    int signal;
    int setupzaehler;
    int fensterzaehler;
    int look[505];
    int pixel;
    char sst[255];
    TRect rcc;
    float fehleropt[22];
    float fehler[22];
    BOOL stop;
    int zxmax;
    int zxleft;
//{{FehlerWinVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
    virtual UINT Transfer (void* buffer, TTransferDirection direction);
//{{FehlerWinVIRTUAL_END}}
private:
	 Staticgrau *St_Parameter1;
    TBitmap     *bitmap;
    BOOL bitexist;
    char title[255];
//{{FehlerWinRSP_TBL_BEGIN}}
protected:
    void EvLButtonDown (UINT modKeys, TPoint& point);
    void EvHScroll (UINT scrollCode, UINT thumbPos, HWND hWndCtl);
    void EvSize (UINT sizeType, TSize& size);
    void Fenster ();
    void EvLButtonDblClk (UINT modKeys, TPoint& point);
    void EvMouseMove (UINT modKeys, TPoint& point);
    void ParamUpdate ();
    void Titelsetzen();
//{{FehlerWinRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(FehlerWin);
};    //{{FehlerWin}}


#endif                                      // __fehlerwn_h

