#if !defined(__fhlrchld_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __fhlrchld_h

/*  Projekt CDMA

	 SUBSYSTEM:    CDMA.EXE  (Application)
	 DATEI:        pnsgchld.h
	 AUTOR:        Wolfgang Knallinger


	 UEBERBLICK
	 ==========
	 Klassendefinition fuer FehlerChild (TMDIChild).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\listbox.h>

#include "pnapp.rh"            // Definition aller Ressourcen

//{{TMDIChild = FehlerChild}}
class FehlerChild : public TMDIChild {
public:
    FehlerChild (TMDIClient &parent, const char far *title, TWindow *clientWnd, BOOL shrinkToClient = FALSE, TModule* module = 0);
    virtual ~FehlerChild ();
    
//{{FehlerChildVIRTUAL_BEGIN}}
public:
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
    virtual UINT Transfer (void* buffer, TTransferDirection direction);
    virtual void SetupWindow ();
//{{FehlerChildVIRTUAL_END}}
//{{FehlerChildRSP_TBL_BEGIN}}
protected:
    void EvGetMinMaxInfo (MINMAXINFO far& minmaxinfo);
    void EvMouseMove (UINT modKeys, TPoint& point);
    void clientmessage1 ();
    void EvSize (UINT sizeType, TSize& size);
//{{FehlerChildRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(FehlerChild);
};    //{{FehlerChild}}

#endif                                      // __fhlrchld_h

