#if !defined(__mlttlndl_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __mlttlndl_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        mlttlndl.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer MultiTeilnDialog (TDialog).
*/

#include <owl\edit.h>
#include <owl\checkbox.h>
#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\dialog.h>

#include "pnapp.rh"            // Definition aller Ressourcen


//{{TDialog = MultiTeilnDialog}}
struct MultiTeilnDialogXfer {
//{{MultiTeilnDialogXFER_DATA}}
    BOOL    checkpar1;
    BOOL    checkpar2;
    char    editmultianf[ 255 ];
    char    editmultiend[ 255 ];
//{{MultiTeilnDialogXFER_DATA_END}}
};

               
class MultiTeilnDialog : public TDialog {
public:
    MultiTeilnDialog (TWindow* parent, TResId resId = DIALOG_MULTI, TModule* module = 0);
    virtual ~MultiTeilnDialog ();

    int multianf;
    int multiend;
    int parsatz;
    int walshmax;
    int walshmax1;
    int walshmax2;
    int parmoeglich;


//{{MultiTeilnDialogXFER_DEF}}
protected:
    TCheckBox *checkpar1;
    TCheckBox *checkpar2;
    TEdit *editmultianf;
    TEdit *editmultiend;

//{{MultiTeilnDialogXFER_DEF_END}}

//{{MultiTeilnDialogVIRTUAL_BEGIN}}
public:
    virtual BOOL CanClose ();
    virtual void SetupWindow ();
//{{MultiTeilnDialogVIRTUAL_END}}

//{{MultiTeilnDialogRSP_TBL_BEGIN}}
protected:
    void checkpar1BNClicked ();
    void checkpar2BNClicked ();
//{{MultiTeilnDialogRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(MultiTeilnDialog);
};    //{{MultiTeilnDialog}}


#endif                                      // __mlttlndl_h

