#if !defined(__pnsgchld_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __pnsgchld_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        pnsgchld.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer pnSigChild (TMDIChild).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\listbox.h>

#include "pnapp.rh"            // Definition aller Ressourcen
#include "sgnlhptd.h"

//{{TMDIChild = pnSigChild}}
class pnSigChild : public TMDIChild {
public:
    pnSigChild (TMDIClient &parent, const char far *title, TWindow *clientWnd, BOOL shrinkToClient = FALSE, TModule* module = 0);
    virtual ~pnSigChild ();
       
public:
    SignalHauptDialog* sigdia;
//{{pnSigChildVIRTUAL_BEGIN}}
public:
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
    virtual UINT Transfer (void* buffer, TTransferDirection direction);
    virtual void SetupWindow ();
//{{pnSigChildVIRTUAL_END}}
//{{pnSigChildRSP_TBL_BEGIN}}
protected:
    void EvGetMinMaxInfo (MINMAXINFO far& minmaxinfo);
    void EvMouseMove (UINT modKeys, TPoint& point);
    void clientmessage1 ();
    void EvSize (UINT sizeType, TSize& size);
//{{pnSigChildRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(pnSigChild);
};    //{{pnSigChild}}


#endif                                      // __pnsgchld_h
