/*  Projekt CDMA
	 Copyright  1995
 
	 SYSTEM:       CDMA.EXE  (Application)
	 DATEI:        prmtrchl.cpp
	 AUTOR:        Wolfgang Knallinger


	 UEBERBLICK
	 ==========
	 Quelltextdatei fuer die Implementation von ParameterChild (TMDIChild).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "prmtrchl.h"

#include <cstring.h>

#include <owl\static.h>

//
// Antworttabelle fuer alle von der Anwendung behandelten Botschaften &
// Befehle erzeugen
//
DEFINE_RESPONSE_TABLE1(ParameterChild, TMDIChild)
//{{ParameterChildRSP_TBL_BEGIN}}
    EV_WM_MOUSEMOVE,
//{{ParameterChildRSP_TBL_END}}
END_RESPONSE_TABLE;


//{{ParameterChild Implementation}}


ParameterChild::ParameterChild (TMDIClient& parent, const char far* title, TWindow* clientWnd, BOOL shrinkToClient, TModule* module):
	 TMDIChild(parent, title, clientWnd == 0 ? new TWindow(0, "") : clientWnd, shrinkToClient, module)
{
	 // Standard-Fensterstil fuer TMDIChild neu definieren
	 Attr.Style |= WS_BORDER | WS_CAPTION | WS_CHILD | WS_CLIPCHILDREN | WS_MAXIMIZEBOX | WS_MINIMIZEBOX | WS_SYSMENU | WS_THICKFRAME | WS_VISIBLE;

	 // Hintergrundfarbe des Fensters aendern
	 SetBkgndColor(RGB(0xc0, 0xc0, 0xc0));

	 // EINFUEGEN>> Ihren Konstruktor-Code fuegen Sie hier ein


}


ParameterChild::~ParameterChild ()
{
	 Destroy();

	 // EINFUEGEN>> Ihren Destruktor-Code fuegen Sie hier ein

}





void ParameterChild::SetupWindow ()
{
	 TMDIChild::SetupWindow();

}


void ParameterChild::EvMouseMove (UINT modKeys, TPoint& point)
{
	 TMDIChild::EvMouseMove(modKeys, point);

}


void ParameterChild::paramupdate ()
{
}




void ParameterChild::clientmessage1 ()
{
	 // EINFUEGEN>> Ihren Code fuegen Sie hier ein

}


UINT ParameterChild::Transfer (void* buffer, TTransferDirection direction)
{
	 UINT result;
	char s[255];
	strcpy(s,"   ");
		if (direction <=2) result = TMDIChild::Transfer(buffer, direction);
	else
	  {
		  if (direction == 41)  {
										  TWindow* teilnwin = GetClientWindow();
										  par1->Transfer(s,41);
									  }
		  if (direction == 42)  {
										  TWindow* teilnwin = GetClientWindow();
										  par1->Transfer(s,42);
									  }

	  }





    return result;
}

