#if !defined(__prmtrchl_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __prmtrchl_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        prmtrchl.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer ParameterChild (TMDIChild).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\mdichild.h>
#include <owl\window.h>
#include "prmtrdlg.h"

#include "pnapp.rh"            // Definition aller Ressourcen


//{{TMDIChild = ParameterChild}}
class ParameterChild : public TMDIChild {

public:
    ParameterChild (TMDIClient& parent, const char far* title = 0, TWindow* clientWnd = 0, BOOL shrinkToClient = FALSE, TModule* module = 0);
    virtual ~ParameterChild ();
public:
    ParameterDialog* par1;
    ParameterDialog* par2;
           
//{{ParameterChildVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
    virtual UINT Transfer (void* buffer, TTransferDirection direction);
//{{ParameterChildVIRTUAL_END}}

//{{ParameterChildRSP_TBL_BEGIN}}
protected:
    void SETTEXTFUNC ();
    void EvMouseMove (UINT modKeys, TPoint& point);
    void paramupdate ();
    void clientmessage1 ();
//{{ParameterChildRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(ParameterChild);
};    //{{ParameterChild}}


#endif                                      // __prmtrchl_h

