#if !defined(__sgnlhptd_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __sgnlhptd_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        sgnlhptd.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer SignalHauptDialog (TDialog).
*/

#include <owl\checkbox.h>
#include <owl\static.h>
#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\dialog.h>

#include "pnapp.rh"            // Definition aller Ressourcen
#include "sigdia1.h"
#include "parmtrwn.h"

//{{TDialog = SignalHauptDialog}}
struct SignalHauptDialogXfer {
//{{SignalHauptDialogXFER_DATA}}
    char    staticsignal[ 255 ];
    char    staticxwert[ 255 ];
    BOOL    checktrace;
//{{SignalHauptDialogXFER_DATA_END}}
};
           

class SignalHauptDialog : public TDialog {
public:
    SignalHauptDialog (TWindow* parent, TResId resId = ID_SIGNAL_HAUPT, TModule* module = 0);
    virtual ~SignalHauptDialog ();

protected:
    Sigdia1* sig;
    void Fenster();
    TBitmap     *bitmap;
    BOOL bitexist;
public:
    ParameterDialog* par1;
    ParameterDialog* par2;
    ParameterDialog* par;
    BOOL trace;
//{{SignalHauptDialogVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
//{{SignalHauptDialogVIRTUAL_END}}

//{{SignalHauptDialogRSP_TBL_BEGIN}}
protected:
    void EvLButtonDblClk (UINT modKeys, TPoint& point);
    void EvPaint ();
    void checktraceBNClicked ();
//{{SignalHauptDialogRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(SignalHauptDialog);

//{{SignalHauptDialogXFER_DEF}}
public:
    TStatic *staticsignal;
    TStatic *staticxwert;
    TCheckBox *checktrace;

//{{SignalHauptDialogXFER_DEF_END}}
};    //{{SignalHauptDialog}}


#endif                                      // __sgnlhptd_h

