#if !defined(__sigmanwn_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __sigmanwn_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        sigmanwn.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer SigMainWin (TWindow).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\window.h>

#include "pnapp.rh"            // Definition aller Ressourcen
#include "sigwin.h"
#include "sigdia1.h"

//{{TWindow = SigMainWin}}
class SigMainWin : public TWindow {
public:
    SigMainWin (TWindow* parent, const char far* title = 0, TModule* module = 0);
    virtual ~SigMainWin ();

public:
    SigWin *sigwin;
    Sigdia1 *sig;
      

//{{SigMainWinVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
//{{SigMainWinVIRTUAL_END}}

//{{SigMainWinRSP_TBL_BEGIN}}
protected:
    void EvSize (UINT sizeType, TSize& size);
//{{SigMainWinRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(SigMainWin);
};    //{{SigMainWin}}


#endif                                      // __sigmanwn_h

