#if !defined(__staticgr_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __staticgr_h

/*  Projekt CDMA

    SUBSYSTEM:    CDMA.EXE  (Application)
    DATEI:        staticgr.h
    AUTOR:        Wolfgang Knallinger


    UEBERBLICK
    ==========
    Klassendefinition fuer Staticgrau (TStatic).
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\static.h>

#include "pnapp.rh"            // Definition aller Ressourcen


//{{TStatic = Staticgrau}}
class Staticgrau : public TStatic {
public:
    Staticgrau (TWindow* parent, int id, const char far* title, int x, int y, int w, int h, UINT textLen = 0, TModule* module = 0);
    virtual ~Staticgrau ();
};    //{{Staticgrau}}


#endif                                      // __staticgr_h
        
