#if !defined(__wdfchild_h)              // Datei nur benutzen, wenn Sie nicht bereits aufgenommen wurde
#define __wdfchild_h

/*  Projekt CDMA

	 SUBSYSTEM:    CDMA.EXE  (Application)
	 DATEI:        pnsgchld.h
	 AUTOR:        Wolfgang Knallinger


	 UEBERBLICK
	 ==========
	 Klassendefinition fuer WDFChild (TMDIChild).
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\editfile.h>
#include <owl\listbox.h>

#include "pnapp.rh"            // Definition aller Ressourcen

//{{TMDIChild = WDFChild}}
class WDFChild : public TMDIChild {
public:
    WDFChild (TMDIClient &parent, const char far *title, TWindow *clientWnd, BOOL shrinkToClient = FALSE, TModule* module = 0);
    virtual ~WDFChild ();
    
//{{WDFChildVIRTUAL_BEGIN}}
public:
    virtual void Paint (TDC& dc, BOOL erase, TRect& rect);
    virtual UINT Transfer (void* buffer, TTransferDirection direction);
    virtual void SetupWindow ();
//{{WDFChildVIRTUAL_END}}
//{{WDFChildRSP_TBL_BEGIN}}
protected:
    void EvGetMinMaxInfo (MINMAXINFO far& minmaxinfo);
    void EvMouseMove (UINT modKeys, TPoint& point);
    void clientmessage1 ();
    void EvSize (UINT sizeType, TSize& size);
//{{WDFChildRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(WDFChild);
};    //{{WDFChild}}


#endif                                      // __pnsgchld_h
